Subject: Re: bug#18875: 25.0.50; Dired -- add support for ls --time-style with a space

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 19 Aug 2021 16:21:17 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> So...  dired supports spaces in command line arguments, but you have to
> quote the argument, so I'm closing this bug report.  However, there's a
> bug in `split-string-and-unquote', so I'm opening a new report for that.

Or...  the problem isn't in that function -- it works as designed, and
parses a Lisp-style string correctly.

`insert-directory' should be using `split-string-shell-command' instead,
and I've now done that in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no